import { Option } from "./option";
import { Result } from "./result";
export function get_at_path(obj, path) {
    return path.reduce((opt, key) => opt.and_then(obj => Option.of(obj[key])), Option.of(obj));
}
export function has_at_path(obj, path) {
    return get_at_path(obj, path).is_some();
}
export function err_or_ok(err, ok) {
    return Option.of(err).match({
        Some(err) {
            return Result.Err(err);
        },
        None() {
            return Result.Ok(ok);
        },
    });
}
//# sourceMappingURL=helpers.js.map