"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.err_or_ok = exports.has_at_path = exports.get_at_path = void 0;
const option_1 = require("./option");
const result_1 = require("./result");
function get_at_path(obj, path) {
    return path.reduce((opt, key) => opt.and_then(obj => option_1.Option.of(obj[key])), option_1.Option.of(obj));
}
exports.get_at_path = get_at_path;
function has_at_path(obj, path) {
    return get_at_path(obj, path).is_some();
}
exports.has_at_path = has_at_path;
function err_or_ok(err, ok) {
    return option_1.Option.of(err).match({
        Some(err) {
            return result_1.Result.Err(err);
        },
        None() {
            return result_1.Result.Ok(ok);
        },
    });
}
exports.err_or_ok = err_or_ok;
//# sourceMappingURL=helpers.js.map